An Loopr iOS native app
Clone or download

README.md

loopr-ios

Build Status

Download

You can download the app on https://upwallet.io

Development

Stack
  • No storyboard. It's ok to use xib in the early development. However, if the UI is complicated, please write UI programmatically.
  • No subclassing any class in UIKit. We try to keep the code simple. It's better to use extensions.
  • No ReactiveSwift. Keep it simple. We prefer to use Cocoa Touch directly.
  • No SnapKit at this time.
  • Lottie: an iOS library to natively render After Effects vector animations
  • Pop: An extensible iOS and OS X animation library, useful for physics-based interactions.
  • SwiftLint: A tool to enforce Swift style and conventions.
  • SwiftTheme: Powerful theme/skin manager
Tools
  • Xcode Version 9.2 (9C40b)
  • Swift Apple Swift version 4.0.3 (swiftlang-900.0.74.1 clang-900.0.39.2)
  • CocoaPods 1.5.0
Start
  1. Install cocoapods sudo gem install cocoapods
  2. pod install
  3. Open loopr-ios.xcworkspace